#include <iostream>
#include <stdio.h>
#include <stdlib.h>
using namespace std;

int main(int argc, char** argv) {
	int n,k,i,j,brr,r,z;
	cin>>n;
	cin>>k;
	int a[n],br[n],l[n];
	brr=0;
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
	for (i=0;i<n;i++){
		br[i]=1;
		for(j=i+1;j<n;j++){
			if(a[i]==a[j])
			{
				br[i]++;
			}
		}
	}
	for(i=0;i<n;i++){
		if(br[i]>=k)
		{
			brr++;
	
		}
	}
	z=0;
	for(i=0;i<n;i++){
		r=0;
		if(br[i]>=k){
			for(j=0;j<i;j++)
			{
				if(a[j]==a[i]) r++;
			}	
			if(r!=0) 
			{
				br--;
				break;
			}
			else {
				l[i]=a[i];
				z++;
			}
		}
	}
	cout<<brr<<endl;
	for(i=0;i<z;i++){
		cout<<l[i]<<" ";
	}
	return 0;
}